### Struct

# Gio IOModuleScope

since: 2.30

#### Description

    struct GIOModuleScope {
      /* No available fields */
    }

Represents a scope for loading IO modules. A scope can be used for blocking duplicate modules, or blocking a module you don’t want to load.

The scope can be used with `g_io_modules_load_all_in_directory_with_scope()` or g_io_modules_scan_all_in_directory_with_scope().

Available since: 2.30

#### Functions

###### g_io_module_scope_new

Create a new scope for loading of IO modules. A scope can be used for blocking duplicate modules, or blocking a module you don’t want to load.

since: 2.30

#### Instance methods

###### g_io_module_scope_block

Block modules with the given `basename` from being loaded when this scope is used with `g_io_modules_scan_all_in_directory_with_scope()` or g_io_modules_load_all_in_directory_with_scope().

since: 2.30

###### g_io_module_scope_free

Free a module scope.

since: 2.30